[POST] ~/email/sendcart?leadId={leadId}

Sends an vehicle information request to the corresponding owner.

Request Information

URI Parameters

NameDescriptionType
leadId

The Unique identifier is optional.

string

Body Parameters

The request.

An instance of: VehicleCartModel
NameDescriptionType
RecipientLocationId

Gets or sets the identifier of the recipient location.

integer

Services

Gets or sets the services.

ServicesInfo

Delivery

Gets or sets the delivery.

DeliveryInfo

Payment

Gets or sets the payment.

PaymentInfo

Reservation

Gets or sets the reservation.

ReservationInfo

TradeIn

Gets or sets the trade in.

TradeInInfo

VideoChat

Gets or sets the video chat.

VideoChatInfo

TestDrive

Gets or sets the video chat.

TestDriveInfo

Accessories

Gets or sets the accessories.

Collection of Object

ServiceListerParameters

Gets or sets options for controlling the service lister.

ServiceListerParametersInfo

StockVehicle

Gets or sets the stock vehicle.

StockVehicleInfo

VehicleId

Gets or sets the identifier of the vehicle.

integer

RequestIndividualInstalment

Gets or sets a value indicating whether the request individual installment.

boolean

RequestTestDrive

Gets or sets a value indicating whether the request test drive.

boolean

RequestTradeIn

Gets or sets a value indicating whether the request trade in.

boolean

RequestConsultation

Gets or sets a value indicating whether the request consultation.

boolean

RequestFurtherInfo

Gets or sets a value indicating whether the request further information.

boolean

RequestCallback

Gets or sets a value indicating whether the request callback.

boolean

TestDriveDate

Gets or sets the test drive date.

date

TestDriveMorning

Gets or sets a value indicating whether the test drive morning.

boolean

TestDriveAfternoon

Gets or sets a value indicating whether the test drive afternoon.

boolean

Type

Gets or sets the type.

InquiryType

AdditionalAnnotation

Gets or sets the additional annotation.

string

SendCopyToMe

Gets or sets a value indicating whether the send copy to me.

boolean

ContactByEmail

Gets or sets a value indicating whether the contact by email.

boolean

ContactByTelephone

Gets or sets a value indicating whether the contact by telephone.

boolean

ConsentPrivacyPolicy

Gets or sets a value indicating whether the user consented to the privacy policy.

boolean

GoogleAdTrackingInfo

Gets or sets information describing the google ad tracking.

GoogleAdTrackingInfo

GoogleReCaptchaInfo

Gets or sets information describing the google re captcha.

GoogleReCaptchaInfo

OptInConfirmUrl

Gets or sets URL of the option in confirm.

string

ImprintUrl

Gets or sets URL of the imprint.

string

PrivacyUrl

Gets or sets URL of the privacy statement.

string

Reference

Gets or sets the reference.

string

Culture

Gets or sets the culture.

string

Firstname

Gets or sets the firstName.

string

Surname

Gets or sets the surname.

string

Salutation

Gets or sets the salutation.

string

Title

Gets or sets the title.

string

Company

Gets or sets the company.

string

StreetNumber

Gets or sets the street number.

string

ZipCode

Gets or sets the zip town.

string

Town

Gets or sets the town.

string

Telephone

Gets or sets the town.

string

EmailAddress

Gets or sets the email address.

string

Request Formats

application/json, text/json

Sample:
{
  "recipientLocationId": 1,
  "services": {
    "tradeIn": true,
    "vehicleRegistration": true,
    "insurance": true
  },
  "delivery": {
    "favoredDelivery": "Pickup",
    "favoredDeliveryLabel": "sample string 1",
    "firstname": "sample string 2",
    "surname": "sample string 3",
    "streetNumber": "sample string 4",
    "zipCode": "sample string 5",
    "town": "sample string 6"
  },
  "payment": {
    "enquiry": {
      "proposedPrice": 1.1,
      "deposit": 1.1,
      "installment": 1.1,
      "term": 1.1
    },
    "creditRating": {
      "personsInHousehold": 1,
      "monthlyNetIncome": 1.1,
      "monthlyLoanObligation": 1.1
    },
    "finance": {
      "advancePayment": 1.0,
      "instalment": 1.0,
      "finalPayment": 1.0,
      "specialPayment": 1.0,
      "numberOfMonths": 1,
      "mileagePerYear": 1,
      "effectiveInterestRate": 1.0,
      "nameOfBank": "sample string 2",
      "financialProductName": "sample string 3",
      "financialProductCode": "sample string 4",
      "notes": "sample string 5",
      "target": "Commercial",
      "headerLine": "sample string 6",
      "footerLine": "sample string 7",
      "totalCredit": 1.0,
      "financedAmount": 1.0,
      "serviceChargeAmount": 1.0,
      "nominalInterestRate": 1.0,
      "typeOfNominalInterestRate": "None",
      "products": {
        "financialProductItems": [
          {
            "mileages": [
              "sample string 1",
              "sample string 2"
            ],
            "productId": "sample string 1",
            "productName": "sample string 2",
            "showBallon": true,
            "showDeposit": true,
            "showMileage": true,
            "showTerm": true,
            "terms": [
              "sample string 1",
              "sample string 2"
            ],
            "serviceOptions": [
              {
                "serviceId": "sample string 1",
                "type": "sample string 2",
                "isMandatory": true,
                "isSelected": true,
                "serviceOptionRanges": [
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  },
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  }
                ]
              },
              {
                "serviceId": "sample string 1",
                "type": "sample string 2",
                "isMandatory": true,
                "isSelected": true,
                "serviceOptionRanges": [
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  },
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  }
                ]
              }
            ]
          },
          {
            "mileages": [
              "sample string 1",
              "sample string 2"
            ],
            "productId": "sample string 1",
            "productName": "sample string 2",
            "showBallon": true,
            "showDeposit": true,
            "showMileage": true,
            "showTerm": true,
            "terms": [
              "sample string 1",
              "sample string 2"
            ],
            "serviceOptions": [
              {
                "serviceId": "sample string 1",
                "type": "sample string 2",
                "isMandatory": true,
                "isSelected": true,
                "serviceOptionRanges": [
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  },
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  }
                ]
              },
              {
                "serviceId": "sample string 1",
                "type": "sample string 2",
                "isMandatory": true,
                "isSelected": true,
                "serviceOptionRanges": [
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  },
                  {
                    "name": "sample string 1",
                    "isSelected": true
                  }
                ]
              }
            ]
          }
        ]
      },
      "isManufacturerBank": true,
      "position": 9,
      "decliningBalance": 1.0,
      "financialServices": [
        {
          "name": "sample string 1",
          "amount": 1.0,
          "instalment": 1.0,
          "type": "sample string 2",
          "infoText": "sample string 3",
          "infoTextPremium": "sample string 4",
          "isMandatory": true,
          "serviceId": "sample string 6"
        },
        {
          "name": "sample string 1",
          "amount": 1.0,
          "instalment": 1.0,
          "type": "sample string 2",
          "infoText": "sample string 3",
          "infoTextPremium": "sample string 4",
          "isMandatory": true,
          "serviceId": "sample string 6"
        }
      ],
      "leasingLowMileageCompensation": 1.0,
      "leasingExtraMileageCosts": 1.0,
      "leasingDestinationCharges": 1.0,
      "leasingRegistrationFees": 1.0,
      "leasingVehicleTax": 1.0,
      "leasingDeliveryCosts": 1.0,
      "calculatorName": "sample string 1",
      "productName": "sample string 2"
    },
    "favoredPaymentMethod": "FinancingEnquiry"
  },
  "reservation": {
    "reservationRequested": true,
    "reservationDate": "2026-03-18T20:55:16.0211308+01:00",
    "testDriveRequested": true,
    "testDriveDone": true,
    "testDriveDate": "2026-03-18T20:55:16.0211308+01:00"
  },
  "tradeIn": {
    "offeredVehicle": {
      "vin": "sample string 1",
      "datECode": "sample string 2",
      "container": "sample string 3",
      "firstRegistrationDate": "2026-03-18T20:55:16.0211308+01:00",
      "previousOwners": 1,
      "mileage": 1,
      "damage": "Unknown",
      "condition": 1,
      "additionalInformation": "sample string 4"
    },
    "attachments": [
      "sample string 1",
      "sample string 2"
    ],
    "ignoreDatErrors": true,
    "trackingCampaign": "sample string 2",
    "trackingSource": "sample string 3",
    "trackingKeyword": "sample string 4"
  },
  "videoChat": {
    "dateTime": "2026-03-18T20:55:16.0211308+01:00"
  },
  "testDrive": {
    "dateTime": "2026-03-18T20:55:16.0211308+01:00",
    "attachments": [
      "sample string 1",
      "sample string 2"
    ]
  },
  "serviceListerParameters": {
    "vin": "sample string 1",
    "hsn": "sample string 2",
    "tsn": "sample string 3",
    "series": "sample string 4"
  },
  "stockVehicle": {
    "id": 1,
    "manufacturer": {
      "name": "sample string 1",
      "originalName": "sample string 2"
    },
    "model": {
      "name": "sample string 1",
      "originalName": "sample string 2"
    },
    "consumerPrice": {
      "totalPrice": "sample string 1",
      "currency": "sample string 2",
      "netPrice": "sample string 3"
    },
    "currentPrice": {
      "totalPrice": "sample string 1",
      "currency": "sample string 2",
      "netPrice": "sample string 3"
    },
    "modelExtension": "sample string 2",
    "additionalInformations": [
      "sample string 1",
      "sample string 2"
    ],
    "stockId": "sample string 3",
    "orderNumber": "sample string 4",
    "consumptionLine": "sample string 5"
  },
  "vehicleId": 1,
  "requestIndividualInstalment": true,
  "requestTestDrive": true,
  "requestTradeIn": true,
  "requestConsultation": true,
  "requestFurtherInfo": true,
  "requestCallback": true,
  "testDriveDate": "2026-03-18T20:55:16.0211308+01:00",
  "testDriveMorning": true,
  "testDriveAfternoon": true,
  "type": "Callback",
  "additionalAnnotation": "sample string 7",
  "sendCopyToMe": true,
  "contactByEmail": true,
  "contactByTelephone": true,
  "consentPrivacyPolicy": true,
  "googleAdTrackingInfo": {
    "campaignId": "sample string 1",
    "source": "sample string 2",
    "keywords": [
      "sample string 1",
      "sample string 2"
    ]
  },
  "googleReCaptchaInfo": {
    "reCaptchaCode": "sample string 1"
  },
  "optInConfirmUrl": "sample string 12",
  "imprintUrl": "sample string 13",
  "privacyUrl": "sample string 14",
  "reference": "sample string 15",
  "culture": "sample string 16",
  "firstname": "sample string 17",
  "surname": "sample string 18",
  "salutation": "sample string 19",
  "title": "sample string 20",
  "company": "sample string 21",
  "streetNumber": "sample string 22",
  "zipCode": "sample string 23",
  "town": "sample string 24",
  "telephone": "sample string 25",
  "emailAddress": "sample string 26"
}

Response Information

Resource Description

An IHttpActionResult.

An instance of: string

Response Formats

application/json, text/json

Sample:
"sample string 1"